> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get businesses

> Get all businesses for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/clientMgmt/businesses
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/clientMgmt/businesses:
    get:
      tags:
        - Business & Client Management
      summary: Get businesses
      description: Get all businesses for the authenticated user
      operationId: getBusinesses
      parameters:
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter (YYYY-MM-DD) - returns all records updated after the
            specified date. Null returns all data
          schema:
            type: string
          example: '1970-01-01'
        - name: status
          in: query
          description: >-
            Status filter - returns all businesses for the specified statuses.
            Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEBusinessDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEBusinessDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/BusinessDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    BusinessDTOV5:
      required:
        - bizType
        - name
      type: object
      properties:
        id:
          type: integer
          description: Id of this business, required to update an existing business
          format: int64
        firstName:
          type: string
          description: First name of the user, used for display on invoices
        lastName:
          type: string
          description: Last name of the user, used for display on invoices
        showFirstLastName:
          type: boolean
          description: Whether the user's first and last names are displayed on invoices
        name:
          type: string
          description: Name for business
        showName:
          type: boolean
          description: Whether the user's business name is displayed on invoices
        email:
          type: string
          description: Email of the user, used for display on invoices
        showEmail:
          type: boolean
          description: Whether the user's email is displayed on invoices
        bizType:
          type: string
          description: Business type for this business
          enum:
            - CONSULTANT
            - REAL_ESTATE_AGENT
            - DRIVER
            - INSURANCE_AGENT
            - RETAIL
            - HOST
            - FREELANCER
            - E_COMMERCE
            - SALES
            - OTHER
        phoneWork:
          type: string
          description: Your user's business phone number
        showPhoneWork:
          type: boolean
          description: Whether the user's business phone number is displayed on invoices
        address1:
          type: string
          description: First line of your user's business address
        address2:
          type: string
          description: Second line of your user's business address
        city:
          type: string
          description: City of your user's business address
        state:
          type: string
          description: State/Province of your user's business address
        zip:
          type: string
          description: Zip/Postal code of your user's business address
        showAddress:
          type: boolean
          description: Whether the user's business address is displayed on invoices
        invoicePrefix:
          type: string
          description: Prefix for invoice numbering
        status:
          type: string
          description: Status of this business
          enum:
            - ACTIVE
            - INACTIVE
        invoiceClientInfoDefaults:
          $ref: '#/components/schemas/InvoiceClientInfoDefaultsDTO'
    InvoiceClientInfoDefaultsDTO:
      type: object
      properties:
        showClientEmail:
          type: boolean
          description: Whether the client's email is displayed on invoices
        showClientName:
          type: boolean
          description: Whether the client's name is displayed on invoices
        showClientBusinessName:
          type: boolean
          description: Whether the client's business name is displayed on invoices
        showClientAddress:
          type: boolean
          description: Whether the client's address is displayed on invoices
        showClientPhoneWork:
          type: boolean
          description: Whether the client's phone number is displayed on invoices
      description: Defaults for client information on invoices
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````